import java.awt.*;
import java.applet.*;

public class MouseApplet3 extends Applet
{
    Point startPoint;
    Point points[];
    int numPoints;
    boolean drawing;

    public void init()
    {
        startPoint = new Point(0, 0);
        points = new Point[1000];
        numPoints = 0;
        drawing = false;
        resize(400, 300);
    }

    public void paint(Graphics g)
    {
        int oldX = startPoint.x;
        int oldY = startPoint.y;

        for (int x=0; x<numPoints; ++x)
        {
            g.drawLine(oldX, oldY, points[x].x, points[x].y);
            oldX = points[x].x;
            oldY = points[x].y;
        }
    }

    public boolean handleEvent(Event evt)
    {
        switch(evt.id)
        {
            case Event.MOUSE_DOWN:
                drawing = true;
                startPoint.x = evt.x;
                startPoint.y = evt.y;
                return true;
            case Event.MOUSE_MOVE:
                if ((drawing) && (numPoints < 1000))
                {
                    points[numPoints] = new Point(evt.x, evt.y);
                    ++numPoints;
                    repaint();
                }
                return true;
            default:
                return false;
        }
    }
}
